Bug 1185281 - Review Request: golang-google-golangorg-cloud - Google Cloud Platform APIs related types and common functions
Summary: Review Request: golang-google-golangorg-cloud - Google Cloud Platform APIs re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1185076 1185082
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 11:46 UTC by Jan Chaloupka
Modified: 2015-03-09 16:59 UTC (History)
1 user (show)

Fixed In Version: golang-google-golangorg-cloud-0-0.1.git2e43671.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-06 04:04:16 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-01-23 11:46:58 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-google-golangorg-cloud/golang-google-golangorg-cloud.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-google-golangorg-cloud/golang-google-golangorg-cloud-0-0.1.git2e43671.fc20.src.rpm

Description: Go App Engine for Managed VMs

Fedora Account System Username: jchaloup

$ rpmlint golang-google-golangorg-cloud-0-0.1.git2e43671.fc20.src.rpm golang-google-golangorg-cloud-devel-0-0.1.git2e43671.fc20.noarch.rpm golang-google-golangorg-cloud.spec
golang-google-golangorg-cloud.src: W: file-size-mismatch 2e43671e4ad874a7bca65746ff3edb38e6e93762.tar.gz = 85837, https://code.googlesource.com/gocloud/+archive/2e43671e4ad874a7bca65746ff3edb38e6e93762.tar.gz = 86094
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Koji: depends on google.golang.org/appengine (bz#1185082), google.golang.org/api (update) and github.com/golang/protobuf (bz#1185076), which are on review and build update. Locally it builds fine.

Upstream: https://code.googlesource.com/gocloud

Notes: New schema of import path, the spec file's head is changed.

Comment 1 Lokesh Mandvekar 2015-01-25 01:57:27 UTC
- specfile conforms to current golang packaging draft
- license correct and valid
- only sources installed for now

package approved.

Comment 2 Jan Chaloupka 2015-01-26 13:31:49 UTC
New Package SCM Request
=======================
Package Name: golang-google-golangorg-cloud
Short Description: Google Cloud Platform APIs related types and common functions
Upstream https://code.googlesource.com/gocloud
Owners: jchaloup lsm5
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-01-26 14:09:10 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-01-27 11:20:00 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-google-golangorg-cloud-0-0.1.git2e43671.fc20

Comment 5 Fedora Update System 2015-01-27 11:20:17 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-google-golangorg-cloud-0-0.1.git2e43671.fc21

Comment 6 Fedora Update System 2015-01-27 11:20:34 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-google-golangorg-cloud-0-0.1.git2e43671.el6

Comment 7 Fedora Update System 2015-01-27 19:31:51 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2015-02-06 04:04:16 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-02-06 04:04:35 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-03-09 16:59:35 UTC
golang-google-golangorg-cloud-0-0.1.git2e43671.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.